# SO:UK Data Centre

[![Documentation Status](https://readthedocs.org/projects/souk-data-centre/badge/?version=latest)](https://souk-data-centre.readthedocs.io/en/latest/?badge=latest)
[![Documentation Status](https://github.com/simonsobs-uk/data-centre/workflows/GitHub%20Pages/badge.svg)](https://simonsobs-uk.github.io/data-centre)
[![GitHub Releases](https://img.shields.io/github/tag/simonsobs-uk/data-centre.svg?label=github+release)](https://github.com/simonsobs-uk/data-centre/releases)

<!-- ![GitHub Actions](https://github.com/simonsobs-uk/data-centre/workflows/Python%20package/badge.svg) -->

<!-- [![Supported versions](https://img.shields.io/pypi/pyversions/souk-data-centre.svg)](https://pypi.org/project/souk-data-centre) -->
<!-- [![Supported implementations](https://img.shields.io/pypi/implementation/souk-data-centre.svg)](https://pypi.org/project/souk-data-centre) -->
<!-- [![PyPI Wheel](https://img.shields.io/pypi/wheel/souk-data-centre.svg)](https://pypi.org/project/souk-data-centre) -->
<!-- [![PyPI Package latest release](https://img.shields.io/pypi/v/souk-data-centre.svg)](https://pypi.org/project/souk-data-centre) -->
<!-- [![Development Status](https://img.shields.io/pypi/status/souk-data-centre.svg)](https://pypi.python.org/pypi/souk-data-centre/) -->
<!-- [![Downloads](https://img.shields.io/pypi/dm/souk-data-centre.svg)](https://pypi.python.org/pypi/souk-data-centre/) -->
<!-- ![License](https://img.shields.io/pypi/l/souk-data-centre.svg) -->

This documents the baseline design of the SO:UK Data Centre at [Blackett](https://www.blackett.manchester.ac.uk).

The GitHub repository [simonsobs-uk/data-centre](https://github.com/simonsobs-uk/data-centre) contains

- [source of the documentation](https://github.com/simonsobs-uk/data-centre/tree/main/docs), including the codes in the documentation that you can run directly,
- the [Issues](https://github.com/simonsobs-uk/data-centre/issues) tracker as well as [Discussions](https://github.com/simonsobs-uk/data-centre/discussions), for any data centre related bugs or questions, and
- a Python package for data centre maintenance.

To access our documentation, you have a few options, (in the order from convenience to advanced usages):

1. [SO:UK Data Centre documentation at Read the Docs](https://souk-data-centre.readthedocs.io/en/latest/). This gives you access to all versions of SO:UK Data Centre documentations, as well as multiple output formats including [HTML](https://souk-data-centre.readthedocs.io/_/downloads/en/latest/htmlzip/), [ePub](https://souk-data-centre.readthedocs.io/_/downloads/en/latest/epub/), [PDF](https://souk-data-centre.readthedocs.io/_/downloads/en/latest/pdf/).
2. [SO:UK Data Centre documentation at GitHub Pages](https://simonsobs-uk.github.io/data-centre/) which is HTML only and points to the latest commits only.
3. [SO:UK Data Centre documentation at GitHub Releases](https://github.com/simonsobs-uk/data-centre/releases/latest). This gives you additional output formats such as [man page](https://github.com/simonsobs-uk/data-centre/releases/latest/download/soukdatacentre.1) and [plain text](https://github.com/simonsobs-uk/data-centre/releases/latest/download/soukdatacentre.txt).

Note that [Read the Docs serves the searches from server-side powered by Elasticsearch](https://docs.readthedocs.io/en/stable/server-side-search/index.html). So searches from Read the Docs and GitHub Pages will gives you different results. Try the Read the Docs first for better results and fall back to GitHub Pages.

Lastly, those single file documentation formats are very suitable for feeding into Large Language Models (LLMs). For example, try downloading our [plain text](https://github.com/simonsobs-uk/data-centre/releases/latest/download/soukdatacentre.txt) format and upload it to [ChatGPT](https://chat.openai.com) or [Claude](https://claude.ai/chats) and start chatting. You can ask them to explain things in the documentations in details that we cannot covers here.
